%{
#include <stdio.h>
#include <stdlib.h>

#undef stderr
#define stderr stdout

extern void	got_emptyline(void);
extern int	yyinput(char *buf, size_t size);
#define YY_INPUT(buf,result,max_size) result = yyinput(buf, max_size)
%}

%option debug nodebug
%option never-interactive 
%option noyywrap

TOKEN		[^[:blank:][:cntrl:]]+

%%
^From		{ return 1; }
{TOKEN}		{ return 2; }
^\n		{ got_emptyline(); return(3); }
.		;
\n		;
%%
